# PySNMP SMI module. Autogenerated from smidump -f python GMPLS-TC-STD-MIB
# by libsmi2pysnmp-0.1.1 at Sun Nov  6 01:15:31 2011,
# Python version sys.version_info(major=2, minor=7, micro=2, releaselevel='final', serial=0)

# Imported just in case new ASN.1 types would be created
from pyasn1.type import constraint, namedval

# Imports

( Integer, ObjectIdentifier, OctetString, ) = mibBuilder.importSymbols("ASN1", "Integer", "ObjectIdentifier", "OctetString")
( mplsStdMIB, ) = mibBuilder.importSymbols("MPLS-TC-STD-MIB", "mplsStdMIB")
( Bits, Integer32, ModuleIdentity, MibIdentifier, TimeTicks, ) = mibBuilder.importSymbols("SNMPv2-SMI", "Bits", "Integer32", "ModuleIdentity", "MibIdentifier", "TimeTicks")
( TextualConvention, ) = mibBuilder.importSymbols("SNMPv2-TC", "TextualConvention")

# Types

class GmplsFreeformLabelTC(OctetString):
    subtypeSpec = OctetString.subtypeSpec+constraint.ValueSizeConstraint(0,64)
    
class GmplsLabelTypeTC(Integer):
    subtypeSpec = Integer.subtypeSpec+constraint.SingleValueConstraint(1,6,5,4,2,3,)
    namedValues = namedval.NamedValues(("gmplsMplsLabel", 1), ("gmplsPortWavelengthLabel", 2), ("gmplsFreeformGeneralizedLabel", 3), ("gmplsSonetLabel", 4), ("gmplsSdhLabel", 5), ("gmplsWavebandLabel", 6), )
    
class GmplsSegmentDirectionTC(Integer):
    subtypeSpec = Integer.subtypeSpec+constraint.SingleValueConstraint(1,2,)
    namedValues = namedval.NamedValues(("forward", 1), ("reverse", 2), )
    

# Objects

gmplsTCStdMIB = ModuleIdentity((1, 3, 6, 1, 2, 1, 10, 166, 12)).setRevisions(("2007-02-28 00:00",))
if mibBuilder.loadTexts: gmplsTCStdMIB.setOrganization("IETF Common Control and Measurement Plane (CCAMP) Working Group")
if mibBuilder.loadTexts: gmplsTCStdMIB.setContactInfo("       Thomas D. Nadeau\nCisco Systems, Inc.\nEmail: tnadeau@cisco.com\n\nAdrian Farrel\nOld Dog Consulting\nEmail: adrian@olddog.co.uk\n\nComments about this document should be emailed directly to the\nCCAMP working group mailing list at ccamp@ops.ietf.org")
if mibBuilder.loadTexts: gmplsTCStdMIB.setDescription("Copyright (C) The IETF Trust (2007).  This version of\nthis MIB module is part of RFC 4801; see the RFC itself for\nfull legal notices.\n\nThis MIB module defines TEXTUAL-CONVENTIONs for concepts used in\nGeneralized Multiprotocol Label Switching (GMPLS) networks.")

# Augmentions

# Exports

# Module identity
mibBuilder.exportSymbols("GMPLS-TC-STD-MIB", PYSNMP_MODULE_ID=gmplsTCStdMIB)

# Types
mibBuilder.exportSymbols("GMPLS-TC-STD-MIB", GmplsFreeformLabelTC=GmplsFreeformLabelTC, GmplsLabelTypeTC=GmplsLabelTypeTC, GmplsSegmentDirectionTC=GmplsSegmentDirectionTC)

# Objects
mibBuilder.exportSymbols("GMPLS-TC-STD-MIB", gmplsTCStdMIB=gmplsTCStdMIB)

